Subject: Re: [RFC] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Wed, 23 Jul 2008 23:49:41 +0200

On Wed, 23 Jul 2008, Dmitry Potapov wrote:
> On Wed, Jul 23, 2008 at 03:25:03AM +0200, Jakub Narebski wrote:
> >
> >    02. What is your preferred non-programming language?
> >   (or) What is the language you want computer communicate with you?
> 
> IMHO, the later wording of the question is much better.

First just satisfies demographic curiosity.  Second is more question
about internationalization (i18n).

I'm not sure however if it is worth it, and not just simply remove
this question from the survey.

> >    05. How did you hear about Git?
> >        (single choice?, in 2007 it was free-form)
> >      - Linux kernel news (LKML, LWN, KernelTrap, KernelTraffic,...),
> >        news site or magazine, blog entry, some project uses it,
> >        presentation or seminar (real life, not on-line), SCM research,
> >        IRC, mailing list, other Internet, other off-line, other(*)
> 
> I think "friend" would be a reasonable choice here too.

Or: "word of mouth (off-line)".  Good catch, thanks.

> >    09. When did you start using git? From which version?
> >      - pre 1.0, 1.0, 1.1, 1.2, 1.3, 1.4, 1.5
> >      + might be important when checking "what did you find hardest" etc.
> >      + perhaps we should ask in addition to this question, or in place
> >        of this question (replacing it) what git version one uses; it
> >        should be multiple choice, and allow 'master', 'next', 'pu',
> >        'dirty (with own modifications)' versions in addition.
> 
> I think: "What version do you use now?" and "How long do you use git?"
> may be more useful here. From which version may give rather confusing
> results because someone may "start" with 1.4 a week ago just because
> that is the version included in Debian Etch and after realizing that
> version 1.4 has serious usability issues upgraded git to 1.5. Besides,
> 1.5 is around for a long time now (as most as long as all previous
> versions), so 1.5 can mean either one month of usage or 18 months...

Good idea (provided that for "How long do you use git?" there is an
answer "Don't remember").

Should "What version do you use now?" be multiple choice (using git
on more than one machine / operating system)?  What should be possible
choices for "How long do you use git?"?  Perhaps.

      10. How long do you use git?
          (single choice)
       -  never/few days/few weeks/month/few months/year/few years/
          from beginning/I wrote it(*)
       +  (*) just kidding ;-)

-- 
Jakub Narebski
Poland